﻿$(document).ready(function () {
    $("html").on("change", ".panel-body", function () {
        if ($(this).closest(".panel-body").hasClass("panel-body")) {
            $(this).closest(".panel-body").find(".valid-error").hide();
        }
    });

    $("html").on("click", ".panel-body[data-type='4']", function () {
        if ($(this).closest(".panel-body").hasClass("panel-body")) {
            $(this).closest(".panel-body").find(".valid-error").hide();
        }
    });

    $("body").on("submit", "#SurveyData", function () {
        $(".valid-error").hide();
        var panels = $("#SurveyData .panel-body");
        var result = true;
        for (var i = 0; i < panels.length; i++) {
            var $value = $(panels[i]);
            if ($value.data("required") == "True") {
                //radios and checkboxes
                if ($value.data("type") == 1 || $value.data("type") == 2) {
                    if ($value.data("displaytype") == 3) {
                        if ($value.find('select').val() == "") {
                            $value.find(".valid-error").show();
                            result = false;
                        }
                    }
                    else {
                        if ($value.find('input:checked').val() == undefined) {
                            $value.find(".valid-error").show();
                            result = false;
                        }
                    }
                }
                //texts
                else if ($value.data("type") == 3) {
                    if ($value.find('input').val() == "" || $value.find('textarea').val() == "") {
                        $value.find(".valid-error").show();
                        result = false;
                    }
                }
                //stars
                else if ($value.data("type") == 4) {
                    if ($value.find(".selected-number-of-star").val() == "") {
                        $value.find(".valid-error").show();
                        result = false;
                    }
                }
                //radio matrix and checkbox matrix
                else if ($value.data("type") == 5 || $value.data("type") == 6) {
                    var trs = $value.find("table tr");
                    for(var j = 1;j<trs.length;j++)
                    {
                        $tr = $(trs[j]);
                        if ($tr.find('input:checked').val() == undefined) {
                            $value.find(".valid-error").show();
                            result = false;
                        }
                    }
                }
            }
        }
        return result;
    });
});