﻿$(document).ready(function () {
    reIndex("table-personal");
    reIndex("table-shared");
});

function reIndex(id) {
    $("table#"+id+" tr.no-border").each(function (index) {

        $("img:nth-child(1)", $(this)).attr("onclick", "javascript:Swap(" + index + "," + (index - 1) + ",'" + id + "')");
        $("img:nth-child(2)", $(this)).attr("onclick", "javascript:Swap(" + index + "," + (index + 1) + ",'" + id + "')");
    });
}

function Swap(from, to, table) {
    
    if (to == -1) {
        alert(Localization_CantSwapTop);
        return;
    }
    else if (to == ($("#"+table+".table-generic tr").length - 1)) {
        alert(Localization_CantSwapBot);
        return;
    }

    // getting ids
    id_from = $("#" + table + " tr.no-border:eq(" + from + ") input").val();
    id_to = $("#" + table + " tr.no-border:eq(" + to + ") input").val();

    $.ajax({
        url: RQ_URL + "/View/Swap",
        data: {
            id_from: id_from,
            id_to: id_to
        },
        context: document.body,
        cache: false,
        async: true,
        success: function (data) {

            if (data == "Ok") {
                // clone element1 and put the clone before element2
                var from_element = $('#' + table + '.table-generic tr.no-border:eq(' + from + ')');
                var to_element = $('#' + table + '.table-generic tr.no-border:eq(' + to + ')');

                // replace the original element1 with element2
                // leaving the element1 clone in it's place
                if (from > to)
                    to_element.before(from_element);
                else
                    to_element.after(from_element);

                reIndex(table);
            }

        },
        error: function (xhr, textStatus, thrownError) { }
    });  
}